VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
ControlViewAdapter Struct Reference

`#include <iexternalview.h>`

Inheritance diagram for ControlViewAdapter:

## Public Member Functions
bool | setValue (double value) override
bool | setEditCallbacks (const EditCallbacks &callbacks) override
Public Member Functions inherited from ViewAdapter
bool | platformViewTypeSupported (PlatformViewType type) override
| check if the view supports the platform view type More...
bool | attach (void *parent, PlatformViewType parentViewType) override
| attach the view to the parent More...
bool | remove () override
| remove the view from its parent More...
void | setViewSize (IntRect frame, IntRect visible) override
| set the size and position of the view More...
void | setContentScaleFactor (double scaleFactor) override
| set the scale factor in use More...
void | setMouseEnabled (bool state) override
| enable or disable mouse handling for the view More...
void | takeFocus () override
| the view should take focus More...
void | looseFocus () override
| the view should loose focus More...
void | setTookFocusCallback (const TookFocusCallback &callback) override
| a callback the embedder sets on the view to get notified when the view took focus More...
Public Member Functions inherited from IView
virtual | ~IView () noexcept=default
virtual bool | platformViewTypeSupported (PlatformViewType type)=0
| check if the view supports the platform view type More...
virtual bool | attach (void *parent, PlatformViewType parentViewType)=0
| attach the view to the parent More...
virtual bool | remove ()=0
| remove the view from its parent More...
virtual void | setViewSize (IntRect frame, IntRect visible)=0
| set the size and position of the view More...
virtual void | setContentScaleFactor (double scaleFactor)=0
| set the scale factor in use More...
virtual void | setMouseEnabled (bool state)=0
| enable or disable mouse handling for the view More...
virtual void | takeFocus ()=0
| the view should take focus More...
virtual void | looseFocus ()=0
| the view should loose focus More...
virtual void | setTookFocusCallback (const TookFocusCallback &callback)=0
| a callback the embedder sets on the view to get notified when the view took focus More...
virtual bool | setValue (double value)=0
virtual bool | setEditCallbacks (const EditCallbacks &callbacks)=0

## Additional Inherited Members
Public Types inherited from IView
using | TookFocusCallback = std::function< void()>
Public Types inherited from IControlViewExtension
using | ValueBeginEditCallback = std::function< void()>
using | ValueEndEditCallback = std::function< void()>
using | ValuePerformEditCallback = std::function< void(double newValue)>

## Member Function Documentation

## ◆ setEditCallbacks()

bool setEditCallbacks | ( | const EditCallbacks & | callbacks | ) |
| inline override virtual

Implements IControlViewExtension.

## ◆ setValue()

bool setValue | ( | double | value | ) |
| inline override virtual

Implements IControlViewExtension.

The documentation for this struct was generated from the following file:

- iexternalview.h